import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;

/**
 * Displays large text for displaying new levels and announcements.
 * Disappears after a while.
 * 
 * @author Michael Berry
 * @version (a version number or a date)
 */
public class BigText extends Actor
{

    private static Font font;
    private int life = 100;
    
    /**
     * Decrease the time left. If 0, remove
     */
    public void act()
    {
        life--;
        if(life==0) getWorld().removeObject(this);
    }

    /**
     * Create some new text
     */
    public void addedToWorld(World world)
    {
        setImage(new GreenfootImage(getWorld().getWidth()*2, getWorld().getHeight()));
        font = new Font("Comic Sans MS", Font.ITALIC, 60);
    }

    /**
     * Changes the text on the display
     */
    public void setText(String s)
    {
        getImage().clear();
        getImage().setFont(font);
        getImage().drawString(s, getImage().getWidth()/2, getImage().getHeight()/2);
    }
}
